%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major 6
%define libxi %mklibname xi %{major}
%define libxi_devel %mklibname xi -d

Name: libxi
Summary: X Input Extension Library
Version: 1.7.9
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.3
BuildRequires: libxext-devel >= 1.1
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xfixes)
%if !%{bootstrap}
# necessary for building the man pages
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: docbook-dtd412-xml
%endif

%description
X Input Extension Library

#-----------------------------------------------------------

%package -n %{libxi}
Summary:  X Input Extension Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxi}
X Input Extension Library

%files -n %{libxi}
%{_libdir}/libXi.so.%{major}
%{_libdir}/libXi.so.%{major}.*

#-----------------------------------------------------------

%package -n %{libxi_devel}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxi} = %{version}-%{release}
Provides: libxi-devel = %{version}-%{release}
Obsoletes: %{_lib}xi-static-devel < 1.7.2-2

%description -n %{libxi_devel}
Development files for %{name}

%files -n %{libxi_devel}
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/X*
%doc %{_datadir}/doc/libXi

#-----------------------------------------------------------

%prep
%setup -q -n libXi-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Jan 27 2017 tv <tv> 1.7.9-1.mga6
+ Revision: 1083574
- new release

* Wed Nov 02 2016 tv <tv> 1.7.8-1.mga6
+ Revision: 1064723
- new release

* Wed Oct 05 2016 tv <tv> 1.7.7-1.mga6
+ Revision: 1058900
- new release

* Tue Dec 22 2015 tv <tv> 1.7.6-1.mga6
+ Revision: 913395
- new release

* Wed Sep 23 2015 tv <tv> 1.7.5-1.mga6
+ Revision: 882350
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4-3.mga5
+ Revision: 750818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4-2.mga5
+ Revision: 681883
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 sander85 <sander85> 1.7.4-1.mga5
+ Revision: 655457
- New version: 1.7.4

* Fri Jul 11 2014 luigiwalser <luigiwalser> 1.7.3-1.mga5
+ Revision: 651181
- 1.7.3

* Sat Oct 19 2013 umeabot <umeabot> 1.7.2-3.mga4
+ Revision: 532726
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.7.2-2.mga4
+ Revision: 469548
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Wed Jul 03 2013 tv <tv> 1.7.2-1.mga4
+ Revision: 449870
- new release

* Sat Jun 29 2013 tv <tv> 1.7.1.901-1.mga4
+ Revision: 448326
- CVE release

* Tue Jun 04 2013 colin <colin> 1.7.1-3.mga4
+ Revision: 437183
- Remove manual pkgconfig requires as these are injected automatically now

* Tue Jun 04 2013 colin <colin> 1.7.1-2.mga4
+ Revision: 437160
- Add the requirements of the pc files Requires.private (we should automate this)

* Thu May 23 2013 tv <tv> 1.7.1-1.mga4
+ Revision: 425345
- BR pkgconfig(xfixes)
- new release

* Sat Feb 09 2013 luigiwalser <luigiwalser> 1.6.2-1.mga3
+ Revision: 397255
- 1.6.2

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 358587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 colin <colin> 1.6.1-1.mga3
+ Revision: 248419
- New version: 1.6.1

  + tv <tv>
    - new release

* Wed Dec 21 2011 tv <tv> 1.4.5-1.mga2
+ Revision: 185304
- new release

* Sat Dec 17 2011 fwang <fwang> 1.4.4-1.mga2
+ Revision: 183170
- new version 1.4.4

* Mon Nov 21 2011 fwang <fwang> 1.4.3-2.mga2
+ Revision: 170348
- drop .la files

* Thu Jun 16 2011 tv <tv> 1.4.3-1.mga2
+ Revision: 108456
- new release

* Fri Apr 01 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 79625
- new release

  + rtp <rtp>
    - alloc to build libxi without xmtlo/asciidoc/docbook-dtd412-xml

* Sun Jan 09 2011 blino <blino> 1.4.0-3.mga1
+ Revision: 3228
- remove old ldconfig scriptlets
- imported package libxi

